## argyll 2.0.0%2Brepack

=== debian/changelog ===
argyll (2.0.0+repack-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:36 +0000

argyll (2.0.0+repack-1) unstable; urgency=medium

  * Switch from repack to Files-Excluded.
  * Refresh patches.
  * Change to my new email address.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Remove duplicates Priority fields.
    - Requested versions are lesser as there are in old-stable:
      + Remove dpkg amd dpkg-dev from (Build|Pre)-Depends.
      + Remove versions from Recommend udev.
      + Remove Replaces & Breaks argyll from argyll-ref.
  * debian/rules:
    - Add script to remove executable flag from upstream source.
  * Declare compliance with Debian Policy 4.1.2.0 (No changes needed).
  * Change to secure URI.
    - Homepage in debian/copyright, debian/watch and debian/control.
  * debian/patches/0130_openssl.patch:
    - Switch from SSLv23_client_method to TLS_client_method (Closes: #871427).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 01 Dec 2017 10:35:30 +0100

argyll (1.9.2+repack-2) unstable; urgency=medium

  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.1. (No changes needed).
  * debian/copyright:
    - Add 2017 to debian/*.
  * debian/control:
    - Remove dh-autoreconf.
      + Not longer needed since debhelper compatibility level >= 10.
  * debian/rules:
    - For better handling replace dpkg-parsechangelog with SOURCE_DATE_EPOCH
      from pkg-info.mk.
  * New patch 0130_openssl.patch:
    - Enable all ssl connections since openssl provides only connetions with
      TLS1.2 or greater (Closes: #871427).
  * Use the automatic debug symbol packages:
    - Remove argyll-dbg section from debian/control.
    - Use --dbgsym-migration at override_dh_strip from debian/rules.
  * Refresh patches:
    - 0100_spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 31 Aug 2017 06:49:06 +0200

=== debian/watch ===
version=4

#opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
opts=dversionmangle=s/\+repack(.*)//,repacksuffix=+repack,compression=xz \
https://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip

## argyll 2.0.0+repack

=== imdi/Makefile ===

# Boilerplate Makefile for compiling imdi

# Copyright 2000 - 2007 Graeme W. Gill
# This material is licenced under the GNU AFFERO GENERAL PUBLIC LICENSE Version 3 :-
# see the License.txt file for licencing details.

# "include" the right environment for your system,
# by uncommenting the appropriate line:

# Microsoft VC++, WinNT setup
include Makefile.WNT

# Generic UNIX setup
#include Makefile.UNIX

# Apple OS X
#include Makefile.OSX


###############################

#Set optimisation on
CCFLAGS = $(CCFLAGSDEF) $(CCOPTFLAG) $(CCDEFINES) $(BCONFIG)

#Set debugging on
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES) $(BCONFIG)
# debugging #define
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES) $(DEFFLAG)DEBUG
LINKFLAGS = $(LINKFLAGSDEF) $(LINKDEBUGFLAG)

STDHDRS = $(INCFLAG)$(STDHDRSDEF)

all:: libimdi$(SUFLIB)

# Used by both code generator and runtime
imdi_make$(SUFEXE): imdi_make$(SUFOBJ) imdi_gen$(SUFOBJ) cgen$(SUFOBJ)
	$(LINK) $(LINKOF)imdi_make$(SUFEXE) imdi_make$(SUFOBJ) imdi_gen$(SUFOBJ) cgen$(SUFOBJ)


# The code generator program

cgen$(SUFOBJ): cgen.c imdi_utl.h imdi_arch.h imdi_gen.h imdi_tab.h
	$(CC) cgen.c

imdi_gen$(SUFOBJ): imdi_gen.c imdi_utl.h imdi_arch.h imdi_gen.h
	$(CC) imdi_gen.c

# Generate the kernel files
imdi_k.h imdi_k.c : imdi_make$(SUFEXE)
	.$(SLASH)imdi_make$(SUFEXE) 


# imdi runtime library

imdi$(SUFOBJ): imdi.c imdi.h imdi_tab.h imdi_k.h imdi_k.c
	$(CC) imdi.c

libimdi$(SUFLIB): imdi$(SUFOBJ) imdi_tab$(SUFOBJ)
	$(LIBU) $(LIBOF)$@ imdi$(SUFOBJ) imdi_tab$(SUFOBJ)
	$(RANLIB) libimdi$(SUFLIB)

=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Standards-Version: 4.1.2.0
Build-Depends:
 debhelper (>= 10),
 jam,
 libjpeg-dev,
 libpng-dev,
 libssl-dev,
 libtiff5-dev,
 libtool,
 libusb-1.0-0-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 libxxf86vm-dev,
 x11proto-scrnsaver-dev,
 x11proto-xf86vidmode-dev,
 zlib1g-dev
Homepage: https://www.argyllcms.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git

Package: argyll
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
Recommends: libpam-systemd [linux-any], udev [linux-any]
Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-ref
Architecture: all
Depends: ${misc:Depends}
Description: Color Management System, calibrator and profiler (data files)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the data files for argyll.

Package: argyll-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Color Management System, calibrator and profiler (documentation)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the documentation for argyll.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DH_OPTIONS

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)

JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref
CRDATE=$(shell LC_ALL=C date --utc --date='@$(SOURCE_DATE_EPOCH)' "+%a %b %d %T %Y")

%:
	dh $@

override_dh_auto_build:
	find $(CURDIR) -name "*" | xargs chmod -R -x+X
	chmod a+x $(CURDIR)/debian/rules
	jam $(JAMCMDLINE) all

override_dh_auto_install:
	jam $(JAMCMDLINE) dirs
	jam $(JAMCMDLINE) install
	rm $(CURDIR)/debian/tmp/usr/bin/License.txt
	#
	# Make build results reproducible.
	#
	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/RefMediumGamut.gam
	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/linear.cal
	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/strange.cal

override_dh_installdocs:
	dh_installdocs
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License4.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/DocLicense.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/afiles

override_dh_installchangelogs:
	dh_installchangelogs log.txt

override_dh_builddeb:
	dh_builddeb

override_dh_compress:
	dh_compress -X.html

override_dh_strip:
	dh_strip --dbgsym-migration='argyll-dbg (<< 1.9.2+repack-2~)'

build-manpages:
	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/man/iccdump.1
	help2man -N --no-discard-stderr --name="Translate colors through an ICC profile." debian/tmp/usr/bin/icclu > debian/man/icclu.1
	help2man -N --no-discard-stderr --name="Average or merge values in .ti3 like files." debian/tmp/usr/bin/average > debian/man/average.1
	help2man -N --no-discard-stderr --name="Convert Colorblind raw device profile data to Argyll data." debian/tmp/usr/bin/cb2ti3 > debian/man/cb2ti3.1
	help2man -N --no-discard-stderr --name="Color Correct a TIFF file using any sequence of ICC profiles or Calibrations." debian/tmp/usr/bin/cctiff > debian/man/cctiff.1
	help2man -N --no-discard-stderr --name="Create CCMX or CCSS." debian/tmp/usr/bin/ccxxmake > debian/man/ccxxmake.1
	help2man -N --no-discard-stderr --name="Read Target Test Chart." debian/tmp/usr/bin/chartread > debian/man/chartread.1
	help2man -N --no-discard-stderr --name="Link ICC profiles." debian/tmp/usr/bin/collink > debian/man/collink.1
	help2man -N --no-discard-stderr --name="Create ICC profile." debian/tmp/usr/bin/colprof > debian/man/colprof.1
	help2man -N --no-discard-stderr --name="Verify CIE values." debian/tmp/usr/bin/colverify > debian/man/colverify.1
	help2man -N --no-discard-stderr --name="Calibrate a Display." debian/tmp/usr/bin/dispcal > debian/man/dispcal.1
	help2man -N --no-discard-stderr --name="Read a Display." debian/tmp/usr/bin/dispread > debian/man/dispread.1
	help2man -N --no-discard-stderr --name="Test display patch window, Set Video LUTs, Install profiles." debian/tmp/usr/bin/dispwin > debian/man/dispwin.1
	help2man -N --no-discard-stderr --name="Extract an ICC profile from a TIFF file." debian/tmp/usr/bin/extracticc > debian/man/extracticc.1
	help2man -N --no-discard-stderr --name="Extract a text tag from an ICC profile." debian/tmp/usr/bin/extractttag > debian/man/extractttag.1
	help2man -N --no-discard-stderr --name="Create a fake CMY data file from a CMYK profile." debian/tmp/usr/bin/fakeCMY > debian/man/fakeCMY.1
	help2man -N --no-discard-stderr --name="Fake test chart reader - lookup values in ICC/MPP profile." debian/tmp/usr/bin/fakeread > debian/man/fakeread.1
	help2man -N --no-discard-stderr --name="Convert a TIFF file to monochrome using an ICC device profile." debian/tmp/usr/bin/greytiff > debian/man/greytiff.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/man/iccdump.1
	help2man -N --no-discard-stderr --name="Create Lab/Jab gamut plot." debian/tmp/usr/bin/iccgamut > debian/man/iccgamut.1
	help2man -N --no-discard-stderr --name="Measure an illuminant." debian/tmp/usr/bin/illumread > debian/man/illumread.1
	help2man -N --no-discard-stderr --name="Check fwd to bwd relative transfer of an ICC file." debian/tmp/usr/bin/invprofcheck > debian/man/invprofcheck.1
	help2man -N --no-discard-stderr --name="Convert Kodak raw printer profile data to Argyll print data." debian/tmp/usr/bin/kodak2ti3 > debian/man/kodak2ti3.1
	help2man -N --no-discard-stderr --name="Check Model Printer Profile." debian/tmp/usr/bin/mppcheck > debian/man/mppcheck.1
	help2man -N --no-discard-stderr --name="Translate colors through an MPP profile." debian/tmp/usr/bin/mpplu > debian/man/mpplu.1
	help2man -N --no-discard-stderr --name="Create Model Printer Profile." debian/tmp/usr/bin/mppprof > debian/man/mppprof.1
	help2man -N --no-discard-stderr --name="List information about the FILEs." debian/tmp/usr/bin/oeminst > debian/man/oeminst.1
	help2man -N --no-discard-stderr --name="Create printer calibration." debian/tmp/usr/bin/printcal > debian/man/printcal.1
	help2man -N --no-discard-stderr --name="Generate Target PostScrip file." debian/tmp/usr/bin/printtarg > debian/man/printtarg.1
	help2man -N --no-discard-stderr --name="Check accuracy of ICC profile." debian/tmp/usr/bin/profcheck > debian/man/profcheck.1
	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." debian/tmp/usr/bin/refine > debian/man/refine.1
	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." debian/tmp/usr/bin/revfix > debian/man/revfix.1
	help2man -N --no-discard-stderr --name="Scanin." debian/tmp/usr/bin/scanin > debian/man/scanin.1
	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." debian/tmp/usr/bin/spec2cie > debian/man/spec2cie.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." debian/tmp/usr/bin/specplot > debian/man/specplot.1
	help2man -N --no-discard-stderr --name="Split a .ti3 into two." debian/tmp/usr/bin/splitti3 > debian/man/splitti3.1
	help2man -N --no-discard-stderr --name="Read Print Spot values." debian/tmp/usr/bin/spotread > debian/man/spotread.1
	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." debian/tmp/usr/bin/synthcal > debian/man/synthcal.1
	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." debian/tmp/usr/bin/synthread > debian/man/synthread.1
	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." debian/tmp/usr/bin/targen > debian/man/targen.1
	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." debian/tmp/usr/bin/tiffgamut > debian/man/tiffgamut.1
	help2man -N --no-discard-stderr --name="Create test images, default hex RGB surface and wedge." debian/tmp/usr/bin/timage > debian/man/timage.1
	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." debian/tmp/usr/bin/txt2ti3 > debian/man/txt2ti3.1
	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1

## argyll 2.0.1+repack

=== debian/changelog ===
argyll (2.0.1+repack-2) unstable; urgency=medium

  * Moved repository back to Salsa.
  * Rules-Requires-Root: no
  * d/clean generated file.
  * DH to version 12.
  * Standards-Version: 4.5.1
  * Set myself as Maintainer (Closes: #789557).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 27 Apr 2021 20:12:54 +1000

argyll (2.0.1+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 10 in 999_GCC-10-fix patch (Closes: #957008)

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Nov 2020 23:23:35 +0100

argyll (2.0.1+repack-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches.
  * Remove obsolete /etc/hotplug/usb/Argyll.usermap (Closes: #885549).
  * Add more typos to patches/0100_spelling.patch.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * debian/rules:
    - Correct doc directory handling.
    - Remove override_dh_strip, used for debug symbol migration.
  * debian/control:
    - Switch Vcs-* to new location.
  * debian/copyright:
    - Add copyright for numlib/quadprog.*.
    - Use secure copyright format URI.
    - Correct typo.
    - Refresh copyright years.
  * Remove *.postinst, *.postrm and *.preinst. They was used for release
     1.6.3-2 and at oldstable are 1.6.3-4.
  * Remove useless debian/repack.sh.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 15 Jul 2018 22:49:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.1.2.0
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.5.1
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  jam,
  libjpeg-dev,
  libpng-dev,
@@ -22,8 +21,9 @@
  x11proto-xf86vidmode-dev,
  zlib1g-dev
 Homepage: https://www.argyllcms.com/
-Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git
+Vcs-Git: https://salsa.debian.org/debian/argyll.git
+Vcs-Browser: https://salsa.debian.org/debian/argyll
+Rules-Requires-Root: no
 
 Package: argyll
 Architecture: linux-any

## argyll 2.2.0+repack

=== usb/driver/Makefile ===
# LIBUSB-WIN32, Generic Windows USB Library
# Copyright (c) 2002-2005 Stephan Meyer <ste_meyer@web.de>
# Copyright (c) 2010 Travis Robinson <libusbdotnet@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# Supported arugments: all, dll, filter, infwizard, test, testwin, driver
#
#

# If you're cross-compiling and your mingw32 tools are called
# i586-mingw32msvc-gcc and so on, then you can compile libusb-win32
# by running
#    make host_prefix=i586-mingw32msvc all

ifdef host_prefix
	override host_prefix := $(host_prefix)-
endif
ifdef host_prefix_x86
	override host_prefix_x86 := $(host_prefix_x86)-
endif
ifdef cflags
	DBG_DEFINE = $(cflags)
endif

CC = $(host_prefix)gcc
LD = $(host_prefix)ld
WINDRES = $(host_prefix)windres
DLLTOOL = $(host_prefix)dlltool

CC86 = $(host_prefix_x86)gcc
LD86 = $(host_prefix_x86)ld
WINDRES86 = windres
DLLTOOL86 = dlltool

MAKE = make
CP = cp
CD = cd
MV = mv
RM = -rm -fr
TAR = tar
ISCC = iscc
INSTALL = install
LIB = lib
IMPLIB = implib
UNIX2DOS = unix2dos

TARGET = libusb
DLL_TARGET = $(TARGET)0
LIB_TARGET = $(TARGET)
DRIVER_TARGET = $(TARGET)0.sys
INSTALL_DIR = /usr
VPATH = .:./src:./src/driver:./tests

LIBWDI_DIR = ./projects/additional/libwdi/libwdi
SRC_DIR = ./src
DRIVER_SRC_DIR = $(SRC_DIR)/driver

LIBWDI_CONFIG_H = -DWDF_VER=\"01009\" -DUSER_DIR=\"\" -DOPT_M32 -DWINVER=0x500

DRIVER_OBJECTS = abort_endpoint.o claim_interface.o clear_feature.o \
	dispatch.o get_configuration.o \
	get_descriptor.o get_interface.o get_status.o \
	ioctl.o libusb_driver.o pnp.o release_interface.o reset_device.o \
	reset_endpoint.o set_configuration.o set_descriptor.o \
	set_feature.o set_interface.o transfer.o vendor_request.o \
	power.o driver_registry.o error.o libusb_driver_rc.o 

LIBWDI_OBJECTS = $(LIBWDI_DIR)/logging.5.o \
				 $(LIBWDI_DIR)/tokenizer.5.o \
				 $(LIBWDI_DIR)/vid_data.5.o \
				 $(LIBWDI_DIR)/libwdi_dlg.5.o \
				 $(LIBWDI_DIR)/libwdi.5.o
				 

INCLUDES = -I./src -I./src/driver -I.

CFLAGS = -O2 -Wall -DWINVER=0x500 $(DBG_DEFINE)
WIN_CFLAGS = $(CFLAGS) -mwindows

WINDRES_FLAGS = -I$(SRC_DIR)

STDC_LD_LIBS=-lkernel32 \
	-luser32 \
	-lgdi32 \
	-lwinspool \
	-lcomdlg32 \
	-ladvapi32 \
	-lshell32 \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lodbc32 \
	-lodbccp32

LDFLAGS = -s -L. -lusb -lgdi32 -luser32 -lcfgmgr32 -lsetupapi -lcomctl32
TEST_WIN_LDFLAGS = -s -L. -lusb -lkernel32 -lgdi32 -luser32 -lnewdev -lsetupapi -lcomctl32 -lole32 -mwindows
WIN_LDFLAGS = -s -L. -lkernel32 -lgdi32 -luser32 -lnewdev -lsetupapi -lcomctl32 -lole32 -mwindows
DLL_LDFLAGS = -s -mdll \
	-Wl,--kill-at \
	-Wl,--out-implib,$(LIB_TARGET).a \
	-Wl,--enable-stdcall-fixup \
	-L. -lcfgmgr32 -lsetupapi -lgdi32

LIBWDI_DLL_LDFLAGS = -s -shared \
	-Wl,--kill-at \
	-Wl,--out-implib,libwdi.a \
	-Wl,--enable-stdcall-fixup \
	-L. -lnewdev -lsetupapi -lole32

DRIVER_LDFLAGS = -s -shared -Wl,--entry,_DriverEntry@8 \
	-nostartfiles -nostdlib -L. -lusbd -lntoskrnl -lhal


.PHONY: all
all: dll filter test testwin

.PHONY: dll
dll: DLL_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"$(DLL_TARGET)-dll\" -DTARGETTYPE=DYNLINK
dll: $(DLL_TARGET).dll

$(DLL_TARGET).dll: usb.2.o error.2.o descriptors.2.o windows.2.o install.2.o registry.2.o resource.2.o 
	$(CC) $(DLL_CFLAGS) -o $@ -I./src  $^ $(DLL_TARGET).def $(DLL_LDFLAGS)

%.2.o: %.c libusb_driver.h driver_api.h error.h
	$(CC) $(DLL_CFLAGS) -c $< -o $@ $(CPPFLAGS) $(INCLUDES) 

%.2.o: %.rc
	$(WINDRES) $(CPPFLAGS) $(WINDRES_FLAGS) $< -o $@

.PHONY: filter
filter: FILTER_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"install-filter\" -DTARGETTYPE=PROGRAMconsole -DLOG_STYLE_SHORT
filter: FILTER_LDFLAGS = -s -L. -lgdi32 -luser32 -lcfgmgr32 -lsetupapi
filter: install-filter.exe


install-filter.exe: install_filter.1.o error.1.o install.1.o registry.1.o install_filter_rc.1.o
	$(CC) $(FILTER_CFLAGS) -o $@ -I./src  $^ $(FILTER_LDFLAGS)

%.1.o: %.c libusb_driver.h driver_api.h error.h
	$(CC) $(FILTER_CFLAGS) -c $< -o $@ $(CPPFLAGS) $(INCLUDES)

%.1.o: %.rc
	$(WINDRES) $(CPPFLAGS) $(WINDRES_FLAGS) $< -o $@

.PHONY: test
test: dll
test: TEST_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"testlibusb\" -DTARGETTYPE=PROGRAMconsole
test: testlibusb.exe

testlibusb.exe: testlibusb.3.o
	$(CC) $(TEST_CFLAGS) -o $@ -I./src  $^ $(LDFLAGS)

%.3.o: %.c libusb_driver.h driver_api.h error.h
	$(CC) -c $< -o $@ $(TEST_CFLAGS) $(CPPFLAGS) $(INCLUDES) 

.PHONY: testwin
testwin: dll
testwin: TESTWIN_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"testlibusb-win\" -DTARGETTYPE=PROGRAMwindows
testwin: testlibusb-win.exe

testlibusb-win.exe: testlibusb_win.4.o testlibusb_win_rc.4.o
	$(CC) $(TESTWIN_CFLAGS) -o $@ -I./src  $^ $(TEST_WIN_LDFLAGS)

%.4.o: %.c libusb_driver.h driver_api.h error.h
	$(CC) -c $< -o $@ $(TESTWIN_CFLAGS) $(CPPFLAGS) $(INCLUDES) 

%.4.o: %.rc
	$(WINDRES) $(CPPFLAGS) $(WINDRES_FLAGS) $< -o $@

#
# LIBWDI installer_x86
#
.PHONY: installer_x86
installer_x86: INSTALLER_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"installer_x86\" -DTARGETTYPE=PROGRAMconsole $(LIBWDI_CONFIG_H)
installer_x86: INSTALLER_LDFLAGS = -s -L. -ladvapi32 -lnewdev -lsetupapi
installer_x86: installer_x86.exe

installer_x86.exe: $(LIBWDI_DIR)/installer.6.o
	$(CC86) $(INSTALLER_CFLAGS) -o $@ -I$(LIBWDI_DIR)  $^ $(INSTALLER_LDFLAGS)
	$(CP) $(LIBWDI_DIR)/../msvc/config.h $(LIBWDI_DIR)

%.6.o: %.c $(LIBWDI_DIR)/installer.h
	$(CC86) -c $< -o $@ $(INSTALLER_CFLAGS) $(CPPFLAGS) -DWINVER=0x500 -I$(LIBWDI_DIR)

#
# LIBWDI embedder
#
.PHONY: embedder
embedder: installer_x86
embedder: EMBEDDER_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"embedder\" -DTARGETTYPE=PROGRAMconsole $(LIBWDI_CONFIG_H)
embedder: EMBEDDER_LDFLAGS = -s -L. -luser32 -lversion
embedder: embedder.exe

embedder.exe: $(LIBWDI_DIR)/embedder.7.o
	$(CC86) $(EMBEDDER_CFLAGS) -o $@ -I$(LIBWDI_DIR) $^ $(EMBEDDER_LDFLAGS)
	$(CP) -u $(LIBWDI_DIR)/winusb.inf.in ./
	$(CP) -u $(LIBWDI_DIR)/libusb-win32.inf.in ./
	./embedder.exe embedded.h

%.7.o: %.c $(LIBWDI_DIR)/embedder.h
	$(CC86) -c $< -o $@ $(EMBEDDER_CFLAGS) $(CPPFLAGS) -DWINVER=0x500 -I$(LIBWDI_DIR)

.PHONY: infwizard
infwizard: embedder
infwizard: INFWIZARD_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"infwizard\" -DTARGETTYPE=PROGRAMwindows
infwizard: inf-wizard.exe

inf-wizard.exe: inf_wizard.5.o inf_wizard_rc.5.o $(LIBWDI_OBJECTS)
	$(CC86) $(WIN_CFLAGS) -o $@ -I./src -I$(LIBWDI_DIR) $^ $(WIN_LDFLAGS)

%.5.o: %.c libusb-win32_version.h $(LIBWDI_DIR)/libwdi.h
	$(CC86) -c $< -o $@ -I$(LIBWDI_DIR) $(INFWIZARD_CFLAGS) $(CPPFLAGS) $(INCLUDES) 

%.5.o: %.rc
	$(WINDRES86) $(CPPFLAGS) $(WINDRES_FLAGS) $< -o $@

.PHONY: driver
driver: DRIVER_CFLAGS = $(CFLAGS) -DLOG_APPNAME=\"$(DLL_TARGET)-sys\" -DTARGETTYPE=DRIVER
driver: $(DRIVER_TARGET)

$(DRIVER_TARGET): libusbd.a $(DRIVER_OBJECTS)
	$(CC) -o $@ $(DRIVER_OBJECTS) $(DLL_TARGET)_drv.def $(DRIVER_LDFLAGS)

libusbd.a:
	$(DLLTOOL) --dllname usbd.sys --add-underscore --def ./src/driver/usbd.def --output-lib libusbd.a

%.o: %.c libusb_driver.h driver_api.h error.h
	$(CC) -c $< -o $@ $(DRIVER_CFLAGS) $(CPPFLAGS) $(INCLUDES) 

%.o: %.rc
	$(WINDRES) $(CPPFLAGS) $(WINDRES_FLAGS) $< -o $@

.PHONY: cleantemp
cleantemp:	
	$(RM) *.o *.a *.exp *.tar.gz *~ *.iss *.rc *.h
	$(RM) $(LIBWDI_DIR)/*.o
	$(RM) $(LIBWDI_DIR)/config.h
	$(RM) ./src/*~ *.log
	$(RM) $(DRIVER_SRC_DIR)/*~
	$(RM) README.txt
	$(RM) winusb.inf.in
	$(RM) libusb-win32.inf.in
	$(RM) inf_wizard.ico
	
.PHONY: clean
clean: cleantemp	
	$(RM) *.dll *.lib *.exe *.sys

=== debian/changelog ===
argyll (2.2.0+repack-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 13:19:58 +0100

argyll (2.2.0+repack-1) unstable; urgency=medium

  * New upstream release
    Thanks, Federico Grau.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Aug 2021 23:08:28 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 12),
  jam,

## argyll 2.3.1%2Brepack

=== debian/changelog ===
argyll (2.3.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 16:29:58 +1000

argyll (2.3.0+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Mar 2022 19:32:34 +1100

## argyll 2.3.1+repack

=== debian/changelog ===
argyll (2.3.1+repack-1ubuntu2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:24:32 -0500

argyll (2.3.1+repack-1ubuntu1) kinetic; urgency=medium

  * Enable build on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Oct 2022 19:14:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 12),
  jam,

## argyll 3.1.0+repack

=== debian/changelog ===
argyll (3.1.0+repack-1build4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:41 +0200

argyll (3.1.0+repack-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:38:16 +0000

argyll (3.1.0+repack-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:22:51 +0000

argyll (3.1.0+repack-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:03:20 +0000

argyll (3.1.0+repack-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: libtiff5-dev --> libtiff-dev.

  [ Debian Janitor ]
  * argyll-doc, argyll-ref: Added Multi-Arch: foreign,
    as suggested by the multi-arch hinter.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Dec 2023 20:39:57 +1100

argyll (2.3.1+repack-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update 0001_jam.patch to support riscv64 (Closes: #1022171)
    and loong64 (Closes: #1051190)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 12 Jul 2023 22:35:14 +0800

argyll (2.3.1+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1019120)

 -- Paul Gevers <elbrus@debian.org>  Sun, 04 Sep 2022 08:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libjpeg-dev,
  libpng-dev,
  libssl-dev,
- libtiff5-dev,
+ libtiff-dev,
  libtool,
  libusb-1.0-0-dev,
  libx11-dev,
@@ -18,6 +18,7 @@
  libxrandr-dev,
  libxss-dev,
  libxxf86vm-dev,
+#libyajl-dev,
  x11proto-scrnsaver-dev,
  x11proto-xf86vidmode-dev,
  zlib1g-dev
@@ -48,6 +49,7 @@
 Package: argyll-ref
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Color Management System, calibrator and profiler (data files)
  Argyll is an experimental, open source, ICC compatible color management
  system. It supports accurate ICC profile creation for scanners, CMYK
@@ -59,6 +61,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Color Management System, calibrator and profiler (documentation)
  Argyll is an experimental, open source, ICC compatible color management
  system. It supports accurate ICC profile creation for scanners, CMYK

## argyll 3.3.0%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 12),

## argyll 3.3.0+repack

=== debian/changelog ===
argyll (3.3.0+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2025 22:33:25 +1100

argyll (3.1.0+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Chris Hofstaedtler ]
  * UsrMerge: install udev rules into "/usr/lib/" (Closes: #1056963).

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2024 23:11:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,10 @@
 	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/linear.cal
 	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/strange.cal
 
-override_dh_installdocs:
+override_dh_installdocs-indep:
 	dh_installdocs
+	mv $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll/* $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/
+	rmdir $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
@@ -51,9 +53,6 @@
 
 override_dh_compress:
 	dh_compress -X.html
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='argyll-dbg (<< 1.9.2+repack-2~)'
 
 build-manpages:
 	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
